package ch.unige.solidify.exception;

import ch.unige.solidify.repository.SolidifyError;

public class SolidifyRestException extends SolidifyRuntimeException {
  private static final long serialVersionUID = 3474822375466755557L;

  private SolidifyError sourceError;

  public SolidifyRestException(String message, Exception exception) {
    super(message, exception);
  }

  public SolidifyRestException(String message, SolidifyError error) {
    super(message);
    this.sourceError = error;
  }

  public SolidifyError getSourceError() {
    return this.sourceError;
  }

  public void setSourceError(SolidifyError sourceError) {
    this.sourceError = sourceError;
  }

}
